Package org.eclipse.birt.report.engine.extension

# Interface IReportItemPresentationInfo

public interface IReportItemPresentationInfo

## Method Summary

Modifier and Type
Method
Description
`IHTMLActionHandler`
`getActionHandler()`
`ClassLoader`
`getApplicationClassLoader()`
`IContent`
`getExtendedItemContent()`
`org.eclipse.birt.report.model.api.ExtendedItemHandle`
`getModelObject()`
`String`
`getOutputFormat()`
`org.eclipse.birt.report.engine.api.script.IReportContext`
`getReportContext()`
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]`
`getReportQueries()`
`int`
`getResolution()`
`String`
`getSupportedImageFormats()`

## Method Details

### getModelObject

org.eclipse.birt.report.model.api.ExtendedItemHandle getModelObject()

### getApplicationClassLoader

ClassLoader getApplicationClassLoader()

### getReportContext

org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

### getReportQueries

org.eclipse.birt.data.engine.api.IDataQueryDefinition[] getReportQueries()

### getExtendedItemContent

IContent getExtendedItemContent()

### getResolution

int getResolution()

### getOutputFormat

String getOutputFormat()

### getActionHandler

IHTMLActionHandler getActionHandler()

### getSupportedImageFormats

String getSupportedImageFormats()